<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

if (isset($user))$ank['id'] = $user['id'];
if (isset($_GET['id']))$ank['id'] = intval($_GET['id']);

$ank = get_user($ank['id']);
if (!$ank || $ank['id'] == 0){header("Location: /index.php?".SID);exit;}

// Колличество баллов 1 простого сердечка
$coins = 1;

$cases = array('монета', 'монеты', 'монет');

$table = 'money';

// Поднимаем рейтинг
if (isset($_POST['stav']))
{
	// Cколько очков начисляем
	$count = (int) abs($_POST['stav']);
	
	// Вычисляем стоимость
	$balls = $count * $coins;
	
	if ($balls > $user[$table]) {
    $err[] = 'У вас не достаточно ' . $cases[1] . ', пополните счет';
  }
	
	if (!$err)
	{
		mysql_query("UPDATE `user` SET `avtoritet` = '" . ($ank['avtoritet'] + $count) . "', `avtoritet_count` = '" . ($ank['avtoritet_count'] + $count) . "' WHERE `id` = '$ank[id]'");
    
		if ($ank['id'] != $user['id'])
		{
			$msg = "Пользователь [url=/id=$user[id]][b]" . user::nick($user['id'], 0) . "[/b][/url], повысил".($user['pol'] == 0 ? "а" : "")." ваш авторитет на [$count] очков, не забудьте сказать спасибо :)";
			mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '". my_esc($msg) ."', '$time')");				
		}
		
		mysql_query("UPDATE `user` SET `$table` = '" . ($user[$table] - $balls) . "' WHERE `id` = '$user[id]'");
		$_SESSION['message'] = 'Вы успешно повысили авторитет на ' . $count . ' очков';
		header('Location: ?id=' . $ank['id']);
		exit;
	}
}

$set['title'] = 'Авторитет'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
aut();
err();

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" alt="*" /> <a href="/id' . $ank['id'] . '">' . user::nick($ank['id']) . '</a> | <b>Авторитет</b>';
echo '</div>';

echo '<div class="nav2">';
echo user::avatar($ank['id'], 2) . user::nick($ank['id'], 1, 1, 1) . ' <br />';

// Авторитет
echo '<div style="color: #4e4e4e"><img src="/style/avtoritet/a8.png" alt="*" />Авторитет [' . $ank['avtoritet'] . ']</div>'; 

if ($ank['avtoritet'] > 0)
echo '<div>' . star($ank['avtoritet']) . '</div>'; 

echo '</div>';

if (isset($user))
{
	echo '<div class="nav2">';
	echo '<b>Хотите повысить ' . ($ank['id'] == $user['id'] ? 'cвой' : user::nick($ank['id'])) . ' авторитет на сайте?</b><br />';
	echo 'Вы можете купить очки за ' . $cases[1] . ', cтоимость:<br />';
	echo '1  очко = <b>' . des2num($coins, $cases) . '</b> сайта';
	echo '</div>';

	echo '<div class="nav2">';
	echo '<form method="post" action="?id=' . $ank['id'] . '">';
	echo 'У вас на счету <b>' . des2num($user[$table], $cases) . '</b> <a href="/user/money/">пополнить счет</a><br />';
	echo 'Cколько очков вы хотите купить' . ($ank['id'] == $user['id'] ? null : ' для ' . user::nick($ank['id'])) . '?<br /><select name="stav">
	<option value="1">1</option>
	<option value="2">2</option>
	<option value="4">4</option>
	<option value="8">8</option>
	<option value="16">16</option>
	<option value="32">32</option>
	<option value="64">64</option>
	</select> ';
	echo '<input value="Купить" type="submit" />';
	echo '</form>';
	echo '</div>';	
}


echo '<div class="nav2">';
echo '<img src="/style/avtoritet/a1.png" alt="*"/> <a href="/user/table.star.php">Таблица авторитетов</a>';
echo '</div>';

echo '<div class="nav1">';
echo '<img src="/style/avtoritet/a1.png" alt="*"/> <a href="/user/top.avtoritet.php">Топ 10 авторитетов</a>';
echo '</div>';

echo '<div class="nav2">';
echo '<img src="/style/avtoritet/a1.png" alt="*"/> <a href="/user/top2.avtoritet.php">Топ 10 за неделю</a>';
echo '</div>';

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" alt="*" /> <a href="/id' . $ank['id'] . '">' . user::nick($ank['id']) . '</a> | <b>Авторитет</b>';
echo '</div>';

include_once '../sys/inc/tfoot.php';
?>